#! /usr/bin/perl

#
# Soluzione Traccia Prova Pratica Settembre 2007
#

@files = qx{cat $ARGV[0] | find | grep .txt};

# metod equivalente alla riga precedente
#
# open(FILE,$ARGV[0]) || die "bla bla ";
# $_ = <FILE>;
# close FILE;
# 
# chomp $_;
# @files = qx{find $_ | grep .txt};

foreach (@files)
{
        #
        # Cerca nomi di file nel formato [0-9].txt
        #
		if ( /([0-9])\.txt$/ ) #;
		{
			$posizione = $1;

	        #
	        # Estrae la cifra $posizione-esima dal file corrispondente
	        #
			$matricola[$posizione] = qx{cat $_};
		}
}
#
# Infine concatena l'intero array @matricola in $matricola
#
$matricola = join('',@matricola);

@nomecognome = qx{cat $ARGV[0] | ls};
foreach (@nomecognome)
{
	$nome = $_ if /^[a-z]+$/;
	$cognome = $_ if /^[A-Z]+$/;
}
#
# Rimuove il \n finale. Attenzione, non va bene $nome = chomp $nome,
# poich chomp ritorna 1 se  stato 'chompato' il carattere, 0 altrimenti
#
chomp $nome;
chomp $cognome;
#
# Mette in uppercase la prima lettera di nome e cognome, in minuscolo le altre
#
$nome =~ s/^(\w)(\w+)/\U\1\L\2/;
$cognome =~ s/^(\w)(\w+)/\U\1\L\2/;

#
# Scrive su file 
#
qx{echo $cognome $nome $matricola > studente.txt};


